CURLOPT_FNMATCH_FUNCTION(3)

NAME
CURLOPT_FNMATCH_FUNCTION - wildcard matching function callback

SYNOPSIS
#include <curl/curl.h>

int fnmatch_callback(void *ptr,
                     const char *pattern,
                     const char *string);

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FNMATCH_FUNCTION,
                          fnmatch_callback);

DESCRIPTION
Pass a pointer to your callback function, which should match the prototype shown above.

This callback is used for wildcard matching.

Return CURL_FNMATCHFUNC_MATCH if pattern matches the string, CURL_FNMATCHFUNC_NOMATCH if not or CURL_FNMATCHFUNC_FAIL if an error occurred.

DEFAULT
NULL == an internal function for wildcard matching.

PROTOCOLS
FTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.21.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_FNMATCH_DATA(3), CURLOPT_DEBUGFUNCTION(3),